Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle TopLink API Reference 10g Release 3 (10.1.3) B13698-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.toplink.exceptions
Class EntityManagerSetupException

`java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
oracle.toplink.exceptions.TopLinkException
oracle.toplink.exceptions.EntityManagerSetupException`

All Implemented Interfaces:
  java.io.Serializable

public class EntityManagerSetupException
extends TopLinkException

See Also:
  Serialized Form

Field Summary
`static int` | `CLASS_NOT_FOUND_FOR_PROPERTY`
`static int` | `ERROR_IN_SETUP_OF_EM`
`static int` | `EXCEPTION_IN_SETUP_OF_EM`
`static int` | `FAILED_TO_INSTANTIATE_SERVER_PLATFORM`
`static int` | `MISSING_SERVER_PLATFORM_EXCEPTION`
`static int` | `SESSIONS_XML_VALIDATION_EXCEPTION`
`static int` | `WRONG_SESSION_TYPE_EXCEPTION`

Method Summary
`static EntityManagerSetupException` | `classNotFoundForProperty(java.lang.String serverPlatformClass, java.lang.String serverPlatformString, java.lang.Exception exception)`
`static EntityManagerSetupException` | `errorInSetupOfEM()`
`static EntityManagerSetupException` | `exceptionInSetupOfEM(java.lang.Exception exception)`
`static EntityManagerSetupException` | `failedToInstantiateServerPlatform(java.lang.String serverPlatformClass, java.lang.String serverPlatformString, java.lang.Exception exception)`
`static EntityManagerSetupException` | `missingServerPlatformException(java.lang.String sessionName, java.lang.String xmlFileName)`
`static EntityManagerSetupException` | `sessionXMLValidationException(java.lang.String sessionName, java.lang.String xmlFileName, ValidationException exception)`
`static EntityManagerSetupException` | `wrongSessionTypeException(java.lang.String sessionName, java.lang.String xmlFileName, java.lang.Exception exception)`

Methods inherited from class oracle.toplink.exceptions.TopLinkException
`getErrorCode, getInternalException, getMessage, getSession, printStackTrace, printStackTrace, printStackTrace, setShouldPrintInternalException`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, setStackTrace`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### SESSIONS_XML_VALIDATION_EXCEPTION

    public static final int SESSIONS_XML_VALIDATION_EXCEPTION

  See Also:
    Constant Field Values

### WRONG_SESSION_TYPE_EXCEPTION

    public static final int WRONG_SESSION_TYPE_EXCEPTION

  See Also:
    Constant Field Values

### MISSING_SERVER_PLATFORM_EXCEPTION

    public static final int MISSING_SERVER_PLATFORM_EXCEPTION

  See Also:
    Constant Field Values

### ERROR_IN_SETUP_OF_EM

    public static final int ERROR_IN_SETUP_OF_EM

  See Also:
    Constant Field Values

### EXCEPTION_IN_SETUP_OF_EM

    public static final int EXCEPTION_IN_SETUP_OF_EM

  See Also:
    Constant Field Values

### CLASS_NOT_FOUND_FOR_PROPERTY

    public static final int CLASS_NOT_FOUND_FOR_PROPERTY

  See Also:
    Constant Field Values

### FAILED_TO_INSTANTIATE_SERVER_PLATFORM

    public static final int FAILED_TO_INSTANTIATE_SERVER_PLATFORM

  See Also:
    Constant Field Values

Method Detail

### missingServerPlatformException

    public static EntityManagerSetupException missingServerPlatformException(java.lang.String sessionName,
                                                                             java.lang.String xmlFileName)

### sessionXMLValidationException

    public static EntityManagerSetupException sessionXMLValidationException(java.lang.String sessionName,
                                                                            java.lang.String xmlFileName,
                                                                            ValidationException exception)

### wrongSessionTypeException

    public static EntityManagerSetupException wrongSessionTypeException(java.lang.String sessionName,
                                                                        java.lang.String xmlFileName,
                                                                        java.lang.Exception exception)

### errorInSetupOfEM

    public static EntityManagerSetupException errorInSetupOfEM()

### exceptionInSetupOfEM

    public static EntityManagerSetupException exceptionInSetupOfEM(java.lang.Exception exception)

### classNotFoundForProperty

    public static EntityManagerSetupException classNotFoundForProperty(java.lang.String serverPlatformClass,
                                                                       java.lang.String serverPlatformString,
                                                                       java.lang.Exception exception)

### failedToInstantiateServerPlatform

    public static EntityManagerSetupException failedToInstantiateServerPlatform(java.lang.String serverPlatformClass,
                                                                                java.lang.String serverPlatformString,
                                                                                java.lang.Exception exception)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 1998, 2006, Oracle. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD